//! @file ClassTemplate.cc
//! @brief クラステンプレート
//!
//! クラスを追加する場合は，このクラステンプレートを基に作ってネ。
//!
//! @date 20XX/XX/XX
//! @author Yuki YOKOKURA
//
// Copyright (C) 2011-20XX Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#include "ClassTemplate.hh"
#include <cassert>

// ARCS組込み用マクロ
#ifdef IMPL_IN_ARCS
	// ARCSに組み込まれる場合
	#include "ARCSassert.hh"
	#include "ARCSeventlog.hh"
#else
	// ARCSに組み込まれない場合
	#define arcs_assert(a) (assert(a))
	#define PassedLog()
	#define EventLog(a)
	#define EventLogVar(a)
#endif

using namespace ARCS;

//! @brief コンストラクタ
ClassTemplate::ClassTemplate()
	// :
{
	
}

//! @brief ムーブコンストラクタ
//! @param[in]	r	右辺値
ClassTemplate::ClassTemplate(ClassTemplate&& r)
	// :
{
	
}

//! @brief デストラクタ
ClassTemplate::~ClassTemplate(){
	
}

